Permalink
Browse files

Apply patch from OBATA Akio to stop "make update" failing with "a dif…

…ferent

version ... is already installed".
<http://mail-index.netbsd.org/pkgsrc-users/2011/08/02/msg014770.html>

This makes "make update" usable for me again.  Thanks Obata-san!
  • Loading branch information...
1 parent fad3828 commit 6a189b57ca2237a97d7902dcfa80ef23bad8d6dd bad committed Oct 1, 2012
Showing with 4 additions and 4 deletions.
  1. +4 −4 mk/depends/bsd.depends.mk
@@ -1,4 +1,4 @@
-# $NetBSD: bsd.depends.mk,v 1.22 2011/10/15 00:23:08 reed Exp $
+# $NetBSD: bsd.depends.mk,v 1.23 2012/10/01 09:54:18 bad Exp $
#
# This Makefile fragment is included by bsd.pkg.mk and provides all
# variables and targets related to dependencies.
@@ -22,16 +22,16 @@ SKIP_DEPENDS?= no
# dependencies. This variable is user-settable in /etc/mk.conf.
#
.if !defined(DEPENDS_TARGET)
-. if !empty(USE_DESTDIR:M[Yy][Ee][Ss]) || make(package) || make(package-install)
-DEPENDS_TARGET= package-install
-. elif make(update)
+. if make(update)
. if defined(UPDATE_TARGET) && (${UPDATE_TARGET} == "replace")
DEPENDS_TARGET= ${UPDATE_TARGET}
. else
DEPENDS_TARGET= update
. endif
. elif make(bin-install) || make(su-bin-install)
DEPENDS_TARGET= bin-install
+. elif !empty(USE_DESTDIR:M[Yy][Ee][Ss]) || make(package) || make(package-install)
+DEPENDS_TARGET= package-install
. else
DEPENDS_TARGET= reinstall
. endif

0 comments on commit 6a189b5

Please sign in to comment.